aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMilo Casagrande <milo.casagrande@linaro.org>2014-03-19 10:26:01 +0100
committerMilo Casagrande <milo.casagrande@linaro.org>2014-03-19 10:26:01 +0100
commit8dcc989d618186fa4e66c1ddc71ac69ca5b9ba06 (patch)
tree7ccb66bfa2b2c72a7e21a684186630f028500c6c
parentc8fbd2421c5b3be6afeca6a53eabaa0e3763a844 (diff)
downloadroadmap-8dcc989d618186fa4e66c1ddc71ac69ca5b9ba06.tar.gz
Update install steps.
* virtualenvwrapper requires pip>=1.4, but Ubuntu 12.04 only installs pip==1.0. Change-Id: I9b5754272e51ecc612a5683bc4ecd57b3bcb534a
-rw-r--r--ansible/roles/common/tasks/install_deps.yml12
1 files changed, 7 insertions, 5 deletions
diff --git a/ansible/roles/common/tasks/install_deps.yml b/ansible/roles/common/tasks/install_deps.yml
index 392be13..78ed04c 100644
--- a/ansible/roles/common/tasks/install_deps.yml
+++ b/ansible/roles/common/tasks/install_deps.yml
@@ -10,8 +10,10 @@
- python-virtualenv
- ntp
-# PIP installation if necessary.
-- name: install-pip-deps
- pip: name={{ item }}
- with_items:
- - virtualenvwrapper
+- name: upgrade pip
+ pip: name=pip
+ version=1.4
+
+- name: install virtualenvwrapper
+ pip: name=virtualenvwrapper
+ version=4.0